<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: OV7670 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classOV7670-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OV7670 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acaa582805f38bc41c5812888fb965197"><td class="memItemLeft" align="right" valign="top"><a id="acaa582805f38bc41c5812888fb965197"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOV7670.html#acaa582805f38bc41c5812888fb965197">init</a> (<a class="el" href="structcamera__config__t.html">camera_config_t</a> cameraConfig)</td></tr>
<tr class="memdesc:acaa582805f38bc41c5812888fb965197"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the camera. <br /></td></tr>
<tr class="separator:acaa582805f38bc41c5812888fb965197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d954bb72a8a1794fb76fee07e5d64bf"><td class="memItemLeft" align="right" valign="top"><a id="a9d954bb72a8a1794fb76fee07e5d64bf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOV7670.html#a9d954bb72a8a1794fb76fee07e5d64bf">dump</a> ()</td></tr>
<tr class="memdesc:a9d954bb72a8a1794fb76fee07e5d64bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump the settings. <br /></td></tr>
<tr class="separator:a9d954bb72a8a1794fb76fee07e5d64bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7148b44da5949ae39468c8c31cf6092f"><td class="memItemLeft" align="right" valign="top"><a id="a7148b44da5949ae39468c8c31cf6092f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOV7670.html#a7148b44da5949ae39468c8c31cf6092f">reset</a> ()</td></tr>
<tr class="memdesc:a7148b44da5949ae39468c8c31cf6092f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the camera. Toggle the reset pin on the camera. <br /></td></tr>
<tr class="separator:a7148b44da5949ae39468c8c31cf6092f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44753bb91ad2846d495962d89b69df3e"><td class="memItemLeft" align="right" valign="top"><a id="a44753bb91ad2846d495962d89b69df3e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setFormat</b> (uint8_t value)</td></tr>
<tr class="separator:a44753bb91ad2846d495962d89b69df3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2de599c83533526fb8c0f81506c4407"><td class="memItemLeft" align="right" valign="top"><a id="aa2de599c83533526fb8c0f81506c4407"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setRGBFormat</b> (uint8_t value)</td></tr>
<tr class="separator:aa2de599c83533526fb8c0f81506c4407"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d2fd76d3f17aa2ea08465e04e33a0ce"><td class="memItemLeft" align="right" valign="top"><a id="a3d2fd76d3f17aa2ea08465e04e33a0ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setTestPattern</b> (uint8_t value)</td></tr>
<tr class="separator:a3d2fd76d3f17aa2ea08465e04e33a0ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12d5c95be16fd21036beba88527dda4e"><td class="memItemLeft" align="right" valign="top"><a id="a12d5c95be16fd21036beba88527dda4e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>resetCamera</b> ()</td></tr>
<tr class="separator:a12d5c95be16fd21036beba88527dda4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="OV7670_8h_source.html">OV7670.h</a></li>
<li>OV7670.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
